library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_1s_8 is
    generic(
        bitwidth        : integer := 1
    );
    port(
        N_4             : in     vl_logic_vector(0 downto 0);
        N_1             : out    vl_logic_vector(0 downto 0);
        clk             : in     vl_logic;
        GlobalReset     : in     vl_logic;
        GlobalEnable1   : in     vl_logic
    );
end singleDelayWithEnableGeneric_1s_8;
